Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2
Interface StrutsStatics

All Known Implementing Classes:
  FilterDispatcher, FilterDispatcherCompatWeblogic61, FreemarkerResult, Jsr168Dispatcher, PlainTextResult, PortletFreemarkerResult, PortletPreferencesInterceptor, PortletResult, PortletVelocityResult, PreparatorServlet, ServletActionContext, ServletActionRedirectResult, ServletConfigInterceptor, ServletDispatcherResult, ServletRedirectResult, StreamResult, StrutsResultSupport, VelocityResult

    public interface StrutsStatics

Constants used by Struts. The constants can be used to get or set objects out of the action context or other collections.

Example:

`ActionContext.getContext().put(HTTP_REQUEST, request);`

or

`ActionContext context = ActionContext.getContext();
HttpServletRequest request = (HttpServletRequest)context.get(HTTP_REQUEST);`

Field Summary
`static String` | `HTTP_REQUEST` Constant for the HTTP request object.
`static String` | `HTTP_RESPONSE` Constant for the HTTP response object.
`static String` | `PAGE_CONTEXT` Constant for the JSP `page context`.
`static String` | `SERVLET_CONTEXT` Constant for the `servlet context` object.
`static String` | `SERVLET_DISPATCHER` Constant for an HTTP `request dispatcher`.
`static String` | `STRUTS_PORTLET_CONTEXT` Constant for the PortletContext object

Field Detail

### HTTP_REQUEST

    static final String HTTP_REQUEST

  Constant for the HTTP request object.

  See Also:
    Constant Field Values

### HTTP_RESPONSE

    static final String HTTP_RESPONSE

  Constant for the HTTP response object.

  See Also:
    Constant Field Values

### SERVLET_DISPATCHER

    static final String SERVLET_DISPATCHER

  Constant for an HTTP `request dispatcher`.

  See Also:
    Constant Field Values

### SERVLET_CONTEXT

    static final String SERVLET_CONTEXT

  Constant for the `servlet context` object.

  See Also:
    Constant Field Values

### PAGE_CONTEXT

    static final String PAGE_CONTEXT

  Constant for the JSP `page context`.

  See Also:
    Constant Field Values

### STRUTS_PORTLET_CONTEXT

    static final String STRUTS_PORTLET_CONTEXT

  Constant for the PortletContext object

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.